<!-- Cabecera donde se puede editar formato grilla, título página y páginas -->
<mat-grid-list cols="3" rowHeight="6:1" class="head-form">
  <mat-grid-tile>
    <button mat-button class="color-button white-label margin-button full-content" >
      <mat-form-field>
        <input inputChild matInput placeholder="Mundo seleccionado" autocomplete="off" value="{{ worldName | uppercase }}" (focus)="getWorldAliasFirstState($event)" (focusout)="saveWorldAlias($event)">
        <mat-icon matSuffix>create</mat-icon>
      </mat-form-field>
    </button>
  </mat-grid-tile>
  <mat-grid-tile>
    <button mat-button [matMenuTriggerFor]="menu" class="color-button margin-button full-content" ><mat-icon>grid_on</mat-icon> Tamaño grilla </button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item (click)="setGrid(2,2)">2 X 2</button>
      <button mat-menu-item (click)="setGrid(3,3)">3 X 3</button>
      <button mat-menu-item (click)="setGrid(3,5)">3 X 5</button>
      <button mat-menu-item (click)="setGrid(3,6)">3 X 6</button>
      <button mat-menu-item (click)="setGrid(4,4)">4 X 4</button>
      <button mat-menu-item (click)="setGrid(4,6)">4 X 6</button>
      <button mat-menu-item (click)="setGrid(5,5)">5 X 5</button>
      <button mat-menu-item (click)="setGrid(5,6)">5 X 6</button>
      <button mat-menu-item (click)="setGrid(5,7)">5 X 7</button>
    </mat-menu>
  </mat-grid-tile>
  <mat-grid-tile>
      <button mat-button [matMenuTriggerFor]="pages" class="color-button margin-button full-content" ><mat-icon>insert_drive_file</mat-icon>Páginas - {{orderPageCurrent}} / {{numberOfPages}}</button>
      <mat-menu #pages="matMenu">
        <button mat-menu-item (click)="addPage()">Agregar página</button>
        <button mat-menu-item (click)="deletePage()">Quitar página</button>
        <mat-divider></mat-divider>

        <div *ngIf="existPages">
          <button mat-menu-item *ngFor="let page of pagesB" [value]=page.id (click)="selectPage(page.id, page.page_order)">Página {{page.page_order}}</button>
        </div>

      </mat-menu>
  </mat-grid-tile>
</mat-grid-list>
